## org.mortbay.jetty.plugin.util
Class Monitor

    java.lang.Object
      java.lang.Thread
          org.mortbay.jetty.plugin.util.Monitor

All Implemented Interfaces:
  Runnable

    public class Monitor

extends Thread

Monitor Listens for stop commands eg via mvn jetty:stop and causes jetty to stop either by exiting the jvm, or by stopping the Server instances. The choice of behaviour is controlled by either passing true (exit jvm) or false (stop Servers) in the constructor.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Monitor(int port, String key, Server[] servers, boolean kill)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Monitor

    public Monitor(int port,
                   String key,
                   Server[] servers,
                   boolean kill)
            throws UnknownHostException,
                   IOException

Throws:
  `UnknownHostException`
  `IOException`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.